
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>核心业务需求及逻辑架构分析 / iVAN</title>

    <meta name="description" content="核心业务需求及逻辑架构分析 12306的已知信息.数据及问题 需求分析(一)-- 售票系统领域知识(区间票.订票.预留票) 需求分析(二)-- 涉众.用户体验 核心业务需求及逻辑架构分析 需求分析(三)-- 票仓 票仓设计(一)-- 预生成车票方案的优缺点 票仓设计(二)-- 区间二进制方案的优缺点 票仓设计(三)-- 平衡方案的优缺点 票务并发冲突处理原则设计(基于平衡方案) 缓存逻辑架构设计 数据库逻辑设计 灾难备份与恢复 快要太监了 :-( 由于各种个人原因, 铁道部的这个博文系列中止了很久.最近终于连自己都不好意思">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">核心业务需求及逻辑架构分析</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>12306的已知信息、数据及问题</p>
<p>　　需求分析（一）—— 售票系统领域知识（区间票、订票、预留票）</p>
<p>　　需求分析（二）—— 涉众、用户体验</p>
<p>　　核心业务需求及逻辑架构分析</p>
<p>　　需求分析（三）—— 票仓</p>
<p>　　票仓设计（一）—— 预生成车票方案的优缺点</p>
<p>　　票仓设计（二）—— 区间二进制方案的优缺点</p>
<p>　　票仓设计（三）—— 平衡方案的优缺点</p>
<p>　　票务并发冲突处理原则设计（基于平衡方案）</p>
<p>　　缓存逻辑架构设计</p>
<p>　　<a><u><strong>数据库</strong></u></a>逻辑设计</p>
<p>　　灾难备份与恢复</p>
<p>　　快要太监了 :-(</p>
<p>　　由于各种个人原因, 铁道部的这个博文系列中止了很久。最近终于连自己都不好意思了。所以还是继续完成它吧，估计1-2周一篇的节奏。</p>
<p>　　感觉不先划分一下大的系统架构总会让大家感觉有点头晕, 不过没能力对整个12306进行设计，这个货太大了。只是借这个机会谈谈自己对系统结构分析的一些感想</p>
<p>　<strong>　朴素的面向对象分析</strong></p>
<p>　　面向对象是一个万金油，但是据说真正懂的人不多是吧？</p>
<p>　　我对面向对象的感觉就是: 他本质上是对现实世界的抽象，其表面现象是不断细分对象的粒度，提升对象的抽象度。最终形成一种用有限数量的独立的对象“积木”构造整个需求不断变化的系统的目标。</p>
<p>　　而系统级别的分析也大致如此，我们可以借鉴类分析中的很多概念，不断划小系统规模，剥离职责，抽出依赖性。</p>
<p>　<strong>　一般系统结构</strong></p>
<p>　　这里只是一个简单模型，用以表达我对多数项目的结构分析。</p>
<p><a href="http://www.51testing.com/batch.download.php?aid=48985" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3LjUxdGVzdGluZy5jb20vYXR0YWNobWVudHMvMjAxNC8xMC8xNDk4MjY3Ml8yMDE0MTAyNDEwMzYwODFtc3VpLmpwZw==.jpg"></a></p>
<p>　　配置数据服务：系统运行所需要的动态配置信息</p>
<p>　　资产数据服务：所有实际或虚拟的“物”的管理（CRUD），甚至可以包括人。</p>
<p>　　业务数据服务：该企业实际经营的业务产生的数据。超市的收银记录，企业的销售记录，铁道部的售票记录</p>
<p>　　报表数据服务：各类统计报表需要的</p>
<p>　　其中业务系统和业务数据服务应该是最核心的部分。</p>
<p>　　一般而言，那些配置和资产管理的部分不会造成严重的性能问题。只要在实现CRUD的时候多考虑考虑相关的业务需求，努力做到任何资产的属性变动时，确保相关的业务完整性就好（出租公司管理系统里，一辆出租车今天还在运营，后台系统绝对不应该可以轻松地把它标记成报废车辆，连软删除都是不合理的做法）。</p>
<p>　　12306之所以能招全国人民围观，我觉得主要还是花的钱和大家的感受之间有落差。而我阴暗的以为这个问题的核心部分就在票务处理的部分。</p>
<p>　　所以我后续的几篇博文都会围绕票务处理里面的内容展开。</p>
<p>　　另外，我要大家了解的是，我是要设计一个合理的区间票售票系统核心。而不是实现铁道部的需求。本质上我认为铁道部不会说清楚他自己的需求，而太极公司的需求分析有可以进一步深挖的可能。</p>
<p>　　<strong>12306核心需求及模块分析</strong></p>
<p>　　整体架构没法子设计，太大了。有兴趣的可以参考</p>
<p>　　中国铁路客票发售和预订系统5_0版的研究与实现</p>
<p>　　国铁路客票发售和预订系统5.0版本(TRSv5.0)售票与经由维护操作说明</p>
<p>　　目前我专注的是用于订票的部分。我感觉这个是最重要的部分。</p>
<p>　　12306最大的问题，就是如何在订票的时候高效率得并且适当优化得找到需要数量的车票。并且要能彻底保证一张票不会被两个请求同时处理成功。</p>
<p>　　只要这个问题无法彻底解决，任何分布式处理，最终都会卡在这个问题上。</p>
<p>　　我会涉及到的模块</p>
<p><strong>12306票务处理功能模块分析</strong></p>
<p>　　假想完整网络订票流程图</p>
<p><a href="http://www.51testing.com/batch.download.php?aid=48986" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3LjUxdGVzdGluZy5jb20vYXR0YWNobWVudHMvMjAxNC8xMC8xNDk4MjY3Ml8yMDE0MTAyNDEwMzYwODIza1dHLmpwZw==.jpg"></a></p>
<p>　　这里实际的用户和系统的交互有4种类型。</p>
<p>　　1、车次和余额查询</p>
<p>　　2、订票</p>
<p>　　3、取消订票</p>
<p>　　4、确认订票</p>
<p>　　这里希望广大围观群众都来评估一下这个假设的订票流程及其参数是不是都合理？如果这个流程本身不合理，则我后续的分析都要重写了。不熟悉售票流程的，可以看看我之前的分析文章。</p>
<p>　　然后我们继续来细化一下</p>
<p>　　<strong>车次和余额查询</strong></p>
<p>　　输入：起始站，终到站，日期，座位类型集合</p>
<p>　　输出：车次，对应座位类型可售余额</p>
<p>　　作用：最终用户根据查询结果选择需要出行的车次，并进一步进入订票操作。但是系统不保证显示为有票的车次在下一步操作中必然有票。</p>
<p>　　这里其实涉及到两个类型的查询</p>
<p>　　1、哪些车次符合用户的查询结果，可以通过一个基本固定不变的数据源来提供。而该数据源可以实现分布式缓存以缓解查询压力，甚至可以考虑客户端部分结果缓存。</p>
<p>　　输入：起始站，终到站，日期</p>
<p>　　输出 :车次列表，</p>
<p>　　2、特定车次，特定座位类型的可售票数量。这个数据的来源应该和第一个查询不同。</p>
<p>　　输入：起始站，终到站，车次，日期</p>
<p>　　输出：数量</p>
<p>　<strong>　订票(我喜欢称它为锁票)</strong></p>
<p>　　输入：起始站，终到站，日期，座位类型，需要车票数量，用户ID</p>
<p>　　输出：实际到的获取车票数量</p>
<p>　　作用：最终用户通过订票操作，顺利锁定需要数量的车票。系统保证用户在规定的时间段内对这几张车票具有优先订购权利，且其他人不得购买这些车票。</p>
<p>　　目前我感觉留给用户10-15分钟时间继续后续操作，以进入支付环节（当然，这必须是在系统本身性能良好条件下。否则点个按钮就要等10分钟，那就不对了。）</p>
<p>　　同时如果超时，则系统会在后续订票操作中忽视该锁定状态。</p>
<p>　　<strong>取消订票</strong></p>
<p>　　输入：起始站，终到站，日期，座位类型，数量，用户ID</p>
<p>　　输出：成功标志</p>
<p>　　作用：用户放弃已经获得的被锁定的售票权利，系统恢复对应的数据为可售。</p>
<p>　　<strong>确认订票（确认支付）</strong></p>
<p>　　输入：起始站，终到站，日期，座位类型，数量，用户ID，支付相关信息</p>
<p>　　输出：成功标志/确认失败（刚好锁定超时，且被他人订走）</p>
<p>　　作用：最终确认售票，系统向第三方支付服务提交确认请求。</p>
<p>最新内容请见作者的GitHub页：http://qaseven.github.io/</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 00:12:41</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%9e%b6%e6%9e%84/" title="架构">架构</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/%e9%9d%a2%e5%90%91%e5%af%b9%e8%b1%a1/" title="面向对象">面向对象</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>核心业务需求及逻辑架构分析的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1lk79b.html" rel="bookmark">MSSQL - 架构分析 - 从SQL Server 2017发布看SQL Server架构的演变</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				title: MSSQL - 架构分析 - 从SQL Server 2017发布看SQL Server架构的演变 author: 风移 摘要 美国时间2017年10月2日,微软正式发布了最新一代可以运行在Linux平台的数据库SQL Server 2017.SQL Server 2017给用户带来了一系列的新功能特性的同时,也体现了微软关于自家关系型数据库平台建设方面的最新设计与思考.这篇文章旨在介绍SQL Server 2017新特性,以及微软是如何从架构层面的演进来快速实现Linux平台的S			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5ZPGaz.html" rel="bookmark">六大主流大数据采集平台架构分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章讲的是六大主流大数据采集平台架构分析,我们简单讨论了几种流行的数据收集平台,它们大都提供高可靠和高扩展的数据收集.大多平台都抽象出了输入,输出和中间的缓冲的架构.利用分布式的网络连接,大多数平台都能实现一定程度的扩展性和高可靠性. 随着大数据越来越被重视,数据采集的挑战变的尤为突出.今天为大家介绍几款数据采集平台: Apache Flume Fluentd Logstash Chukwa Scribe Splunk Forwarder 大数据平台与数据采集 任何完整的大数据平台,一般包括以下			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZ2Arqz.html" rel="bookmark">as3页游戏架构分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.基础框架 as3页游戏架构分析 1.逻辑层 •Model:数据管理层,负责socket通讯与数据保存,持有View.Controller的引用 •View:视图管理层,负责数据在UI上的呈现以及UI的交互行为,持有Model.Controller的引用 •Controller:控制管理层,负责各个模块数据的管理,持有Model层的引用 •Protocol:通讯协议管理层,负责协议的定义.解析和对应模块行为的回调方法的注册:数据的读写. 2.辅助工具 •舞台视图焦点控制:管理当前焦点视图 •U			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd76ydM.html" rel="bookmark">Thrift的TProtocol类体系原理及源码详解：类继承架构分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这部分相关的类主要实现与协议相关的内容,这里说的协议是指对数据传输格式封装的协 议,实现不同的协议来适合不同场景下的数据传输,因为在不同的场景下不同协议对于数据 传输来说效率有很大的差别.下面是这个部分相关类的类关系图: 由以上类图可以发现所有的协议类都从TProtocol类直接或间接继承,每一个协议 类都有一个对应的生产对象工厂(协议工厂).TProtocol是一个抽象的类,不能直接使用的 ,它有一个直接子类默认实现了所有方法(空实现),如果我们需要定义自己的数据传输协 议可以直接从这个类继承			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj7WDnM.html" rel="bookmark">mysql逻辑架构及存储引擎简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  MySQL逻辑架构: 并发控制:由锁实现 读锁:也叫共享锁,读锁互相不阻塞.A加锁表后A,b,c,d都能读该表但不能写该表. 写锁:也叫排他锁,写锁相互阻塞.A加排他锁后,其他线程不能读写该表. 锁粒度: 表锁:锁一个表,并发粒度小.代表存储引擎MyISAM 行锁:锁一行数据,并发粒度大,并发操作表性能好.代表存储引擎InnoDB.锁粒度小系统对锁的开销也大. 假如给一个表加读锁,那么其他线程也无法对该表进行写操作了,如果是加行锁那么该线程只阻塞只对这一行数据的读写,表中其他行的数据其他线程			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9YErgM.html" rel="bookmark">android&period; mvc&comma;mvp&comma;mvvm架构分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 android. mvc,mvp,mvvm架构分析 android现在流行三种架构,mvc,mvp,mvvm网上介绍的文档很多都介绍的比较浅,最重要的是没有完整的比较大的项目结合分析, 解决方案 本质上来说,mvc mvp mvvm是差不多的东西,只是在model,viewmodel和businessmodel的职责划分上略有不同.而且在&quot;完整的比较大的项目&quot;,其实根本不能教条使用教科书上的某一种模式.&quot;介绍的文档很多都介绍的比较浅&quot;恰恰说明了这一点--把			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQrAZOM.html" rel="bookmark">面向服务的云制造系统架构分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				面向服务的云制造系统架构分析 康玲 吴华 王时龙 周杰 为了解决当前云制造尚缺应用模式的问题,根据云制造全生命周期智慧制造.按需动态构建及多粒度服务等特点,提出了基于Agent的云制造系统5层架构.基于面向服务的思想,建立了云制造OWLS本体模型,通过本体映射.推理机.匹配器完成服务请求.发布和绑定流程,提出了一种面向云制造服务的OWLS本体扩展框架和Web语义化描述方法,为云制造服务匹配奠定了理论基础.构建了基于Agent的云制造服务协商机制,通过Agent分工.合作.竞争及协商实现云制造			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5ZlGmz.html" rel="bookmark">软件加密市场需求与产品互动分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				每天,全世界由于软件盗版造成的损失不小于5000万美圆,即使在号称法律制度最完善的美国,盗版率也高达21 %(数据来源于IDC).软件盗版问题,已经成为影响 软件业生死存亡的重大考验,而加密也就成了无奈的选择.如果说,反病毒技术的更新是由病毒制造者驱动的话,那么,软件加密行业更是 一场与解密者进行的博弈,同时也推动着这一行业市场需求的发展.在最初的加密过程中, 大部分软件商采用的是软加密方式,主要有密码方式.软件自校验方式和钥匙盘方式等纯软件的手段. 但是随着软加密技术很快被解密软件攻克了防线,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKqxrOp.html" rel="bookmark">NopCommerce架构分析之&lpar;八&rpar;多语言支持&lowbar;自学过程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				系统支持的语言是有类:Language表示: 多语言资源对应的类为:LocalizedProperty: 当先选择某种语言存储在类中:GenericAttribute: 多语言可以导出为XML文件,当然也支持导出. IWorkContext及其实体类WebWorkContext为当前运行上下文:用户的登录信息以及一些上下文环境设置都保存在此类中. 具体包括:当前用户信息:CurrentCustomer:当前用户Cookie:货币:语言:税的类型:供应商等: 展现多语言资源的方式有几种: 一.在自			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGOalz.html" rel="bookmark" class="title">DotNet（C&num;）学习-你学到什么程度！</a>
					<div>
						引言:DotNet(C#)框架庞大,知识繁多,你学到啥程度了?以下是我认为必须掌握的基本知识(无论你用DotNet进行哪方面的开发),你都掌握了吗?(不完整,陆续更新中) 一.CLR(通用语言运行时) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNKWmb.html" rel="bookmark" class="title">ASP&period;NET企业开发框架IsLine FrameWork系列之十一</a>
					<div>
						HttpContentProvider访问缓存 今天我们来介绍 IsLine.HttpContent.HttpContentProvider命名空间: 这个Provider主要封装了对缓存.Sessi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RLBjp.html" rel="bookmark" class="title">图片轮播js代码</a>
					<div>
						图片轮播js代码,简洁明了,可代替flash轮播功能!    &lt;div style=&quot;width:287px; height:248px; border:solid 1px #cece ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yq4Bz.html" rel="bookmark" class="title">Win8应用程序出现问题怎么办？</a>
					<div>
						自Win8发布以来不少同学遇到了这样那样的问题,除过驱动一类的问题外,貌似最多的就是应用商店进不去,或者应用程序闪退等问题,win8e八亿网今天分享一些有用的操作,希望能帮助一些朋友解决应用程序方面遇 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj73Y6M.html" rel="bookmark" class="title">TP-LINK云路由器防止被蹭无线网设置方法</a>
					<div>
						  为什么使用无线设备接入控制? 无线(Wi-Fi)网络本来已经有超级强大的无线安全加密,密码破解的可能性较小.但万能钥匙等免费WiFi对无线密码的泄露,导致无线安全可能不攻自破,从而被&quot;蹭 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOlZqb.html" rel="bookmark" class="title">巧将PPT幻灯片转换为SWF动画</a>
					<div>
						用幻灯制制作产品演示是我们很多单位经常做的一件事,但是其PPT格式文件不便于网上发布,播放它时需要PowerPoint环境支持,即使生成打包可执行文件,对插入其中的视频文件有时又会出现路径和不兼容问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8Pjvp.html" rel="bookmark" class="title">excel平方根公式怎么打出来</a>
					<div>
						  excel平方根公式怎么打出来 Excel是一个常用办公工具,它本身功能很是强大,自带了很多已经预定义的函数,可以随时根据需要进行调用.那么Excel怎么使用平方根函数SQRT呢?下面简单做一个介 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oYWDb.html" rel="bookmark" class="title">jQuery对下拉框&comma;单选框&comma;多选框的操作</a>
					<div>
						  这篇文章主要介绍了jQuery对下拉框,单选框,多选框的操作需要的朋友可以过来参考下,希望对大家有所帮助 下拉框: //得到下拉菜单的选中项的文本(注意中间有空格) var cc1 = $(&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7LAxM.html" rel="bookmark" class="title">WORD删除宏</a>
					<div>
						打开Word 2003,单击&quot;工具&quot;菜单,指向&quot;宏&quot;,在下一级菜单再单击&quot;宏&quot; 在&quot;宏&quot;列表框中单击要删除的宏名,然后再 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGdaqb.html" rel="bookmark" class="title">win7系统电脑经常死机的几种原因及修复方法</a>
					<div>
						  解决方法如下: 1.如果你会进入bios界面的话,首先进入bios界面查看一下自己的cpu温度是否过高,一般超过70°就算是很高的温度了.这样的温度足够让你的电脑死机. 2.若是温度过高,建议你拆 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myw0XPz.html" rel="bookmark" class="title">快压新手必备的几个实用小功能</a>
					<div>
						  默认安装快压后,右键点击文件可以看到快压的6个功能按钮,非常占用菜单空间,见图1.1,功能1:缩短右键菜单 图1-1 可以通过二级级联的方式缩短这个菜单,即把所有的项目放到菜单的第二层.打开快压设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywON4z.html" rel="bookmark" class="title">在win7电脑中使用远程桌面出现卡顿怎么办？</a>
					<div>
						  远程桌面,也就是咱们比较熟悉的远程操作,在ghost win7 64位旗舰版下载电脑中,咱们通常会使用这个功能来完成一些本地无法完成的工作,日常的时候,似乎不少用户都喜欢在QQ程序中使用远程桌面, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwG5qp.html" rel="bookmark" class="title">爱思助手如何备份&sol;导出照片</a>
					<div>
						  下面教大家如何使用爱思助手快速备份/导出手机内的照片: 1.打开爱思助手,把手机连接电脑,等待读取信息完成;点击设备信息下方的&quot;照片&quot;即可查看手机里面的所有相册以及照片. 2. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmvmVz.html" rel="bookmark" class="title">EditPlus 常用快捷键</a>
					<div>
						  EditPlus 快捷键的使用 如果一个来你们公司面试程序员,连Ctrl + C 和Ctrl + V 都不用,而是使用&quot;选中文本&quot;→ 鼠标右键 → [复制],然后再鼠标右键→  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5o0Anb.html" rel="bookmark" class="title">如何使用工行网银助手激活U盾</a>
					<div>
						  安装之后会提示打开网银小助手,选择有U盾客户快速安装 ,然后会自己安装所需的空间及其环境等配置. 安装的过程不会很快,需要等待一两分钟 安装好了之后就可以看到这个,就基本没有什么问题了.网银助手: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXj79vb.html" rel="bookmark" class="title">大象之关于对UML的一些理解</a>
					<div>
						最近比较不闲,要读的书实在是太多,我也是看了这本丢那本.这实在不是一个好的习惯,我会渐渐改正,不多废话,以下是再读&lt;大象&gt;后整理的一部分(因为暂时只读到这儿)认为值得回味的内容: 面向过程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQZqLp.html" rel="bookmark" class="title">jsp跳转servlet找不到页面</a>
					<div>
						问题描述 jsp跳转servlet找不到页面 servlet没有.class文件,我也不知道怎么回事,说要配置web.xml文件的就不要来了 ,因为是servlet3.0不需要配置,唉,直接上图吧,求 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQNARp.html" rel="bookmark" class="title">医学精准要影像先行，影像精准就要技术先行</a>
					<div>
						9 月 1 日,在 2017 中华医院信息网络大会(CHINC)期间,GE 医疗全新智能影像解决方案 CentricityTM Universal Viewer 6.0 发布.中国医学科学院北京协和医 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqQqKb.html" rel="bookmark" class="title">ireport table组件</a>
					<div>
						问题描述 我在ireportdetail组件中嵌套了table组件预览后无法正常显示,但是在summary中却可以正常显示,怎么回事?怎么设置一页显示的数据条数?有用过的请指导?同时,谁可以提供一些相 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEZW1z.html" rel="bookmark" class="title">解决方案-请问，自己写的android项目在一些三星华为手机不能运行。</a>
					<div>
						问题描述 请问,自己写的android项目在一些三星华为手机不能运行. 这是个什么样的问题,百度谷歌都没找到相关的解决方案,如何解决 解决方案 要看具体的错误信息呀 不能运行的情况太多了 解决方案二: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kWkPM.html" rel="bookmark" class="title">javascript-JavaScript 动态生成 一组按钮 和div 切换按钮 显示相对应的 div</a>
					<div>
						问题描述 JavaScript 动态生成 一组按钮 和div 切换按钮 显示相对应的 div 如动态生成ABC三个按钮 A对应的为a1,a2 ,a3 三个div 显示 当单击B按钮时 只显示B1,B2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJA282p.html" rel="bookmark" class="title">struts&comma;ognl&comma;valuestack</a>
					<div>
						浅析struts2中的OGNL和 ValueStack    要了解Struts2与OGNL表达式的关系,我们必须先搞清楚以下三个概念: (1)ActionContext  它是Action运行的上下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRBxVb.html" rel="bookmark" class="title">跨省黑客团伙盗卖QQ案件在江苏南通宣判</a>
					<div>
						中新网南京12月19日电(丁薇 李振男 朱晓颖)江苏省南通市通州区人民法院19日公布,该院对横跨四省六地窃取.售卖QQ号特大非法获取计算机信息系统数据案进行宣判. 这是自去年8月最高人民法院.最高人民 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eN39b.html" rel="bookmark" class="title">sqlite-google map android程序在模拟器定位出现问题</a>
					<div>
						问题描述 google map android程序在模拟器定位出现问题 我能在模拟器上跑出来google map但是加了一下代码之后按按钮就直接崩溃了.求解答!! &gt; searchBt=(But ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrq7P1b.html" rel="bookmark" class="title">手动删除EXCHANGE2010</a>
					<div>
						因为一台EXCHANGE服务器没有正常UNINSTALL,就转作它用了. 所以需要人工从AD里清除相关信息. 操作指南如下: 我按此操作,一切顺利. 但真的要小心再小心,确认再确认.不然,,真的会一抖 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLDrqM.html" rel="bookmark" class="title">【Ajax技术】解决XHR与中文乱码问题</a>
					<div>
						还是我们那个测试ajax的应用(服务端的Servlet.静态页面的html与实现ajax的javascript脚本文件) 服务端的Servlet import java.io.IOException; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baB8QNM.html" rel="bookmark" class="title">Windows下Apache与Tomcat的整合&comma;Apache无法启动，求助</a>
					<div>
						问题描述 我按照以下的步骤,整合Apache与Tomcathttp://www.blueidea.com/computer/soft/2008/5966.asp可为什么我配置完apache后,通过ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5DJ7p.html" rel="bookmark" class="title">技术分析 &vert; 新型勒索病毒Petya如何对你的文件进行加密</a>
					<div>
						6月27日晚间,一波大规模勒索蠕虫病毒攻击重新席卷全球. 雷锋网报道,欧洲.俄罗斯等多国政府.银行.电力系统.通讯系统.企业以及机场都不同程度的受到了影响. 阿里云安全团队第一时间拿到病毒样本,并进行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdywrmz.html" rel="bookmark" class="title">小米进军移动健康领域：2500万美元投资iHealth 占股20&percnt;</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断淘宝客 站长团购 云主机 技术大厅 小米2500万美元投资九安 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkrN2z.html" rel="bookmark" class="title">勿需担心香港金融稳定</a>
					<div>
						文/任志刚 金融体系运作正常的时候,很少人会想象一旦出事的恶劣情况.其实,除了负责维持货币及金融稳定的当局外,其他人根本不需要担心这一点.而我很高兴,这亦是香港现时的实际情况.个人或企业若是信贷质素良 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
